public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/typescript-language-server/
Date: Thu, 30 Mar 2023 19:49:16 +0000 (UTC)	[thread overview]
Message-ID: <1680194919.697b32abbec3fbd30b1ebb6aa5a077d6c9a45d6d.tastytea@gentoo> (raw)

commit:     697b32abbec3fbd30b1ebb6aa5a077d6c9a45d6d
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Thu Mar 30 11:09:57 2023 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Thu Mar 30 16:48:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=697b32ab

dev-util/typescript-language-server: add 3.3.1

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 dev-util/typescript-language-server/Manifest       |  1 +
 .../typescript-language-server-3.3.1.ebuild        | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-util/typescript-language-server/Manifest b/dev-util/typescript-language-server/Manifest
index 10c9ccf3e..a549ba7dd 100644
--- a/dev-util/typescript-language-server/Manifest
+++ b/dev-util/typescript-language-server/Manifest
@@ -1,2 +1,3 @@
 DIST typescript-language-server-3.2.0.tgz 429928 BLAKE2B 380775bff55559ce223a8ed397079da604aafc6bf0c6566fcd90e763b77b856ff3bba0a8d8bed05db60d4f55c51c4afabeec9a283e3e738186eaf219ee9f644e SHA512 221effb759a3e6551afe694773fca7611c44548209fc1f858de3f1c5005ae6e72f4b384ae4d649d057ac5fe3ce578003d8fd42d870cacd465aab5ea257ff947e
 DIST typescript-language-server-3.3.0.tgz 436838 BLAKE2B 7a6eebd350710d5f6ccbfc4ad238bc620e355911907aa40c49553d3c6a333c783fcb10572ae8b55b43e1958464f125e9afa1b8261687f79e1273d9108dca7e98 SHA512 7701e6b1758ca82149e385d3ceb9a9abac888e6a6b1a587735449ceb3b35614eb76453c4ca7f8adfeeba9a2b0aac8489e147e6069ba0266154b50ae293b3eebd
+DIST typescript-language-server-3.3.1.tgz 437409 BLAKE2B c11b9c56e8dea3d3072c5d97c2e94f4e0ab916fb5eeadd8b6a988f514958df7cfa97bcdbbf0a7fcb2a205a90a5c3883f475cca35c45c30ce74019c68e03110ed SHA512 b26f4a36c8d8331cd74cd86434ad392b704dd4d91894e145e1382a56fce4f25f44d88e52044ece76b85edcbcc203fefc30048ed6759f5f1deef7ac0084b221b3

diff --git a/dev-util/typescript-language-server/typescript-language-server-3.3.1.ebuild b/dev-util/typescript-language-server/typescript-language-server-3.3.1.ebuild
new file mode 100644
index 000000000..5a69e75f2
--- /dev/null
+++ b/dev-util/typescript-language-server/typescript-language-server-3.3.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="TypeScript & JavaScript Language Server"
+HOMEPAGE="https://www.npmjs.com/package/typescript-language-server"
+SRC_URI="mirror://npm/${PN}/-/${P}.tgz"
+S="${WORKDIR}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	net-libs/nodejs
+"
+BDEPEND="
+	net-libs/nodejs[npm]
+	>=dev-lang/typescript-4.9.5
+"
+
+src_unpack() {
+	: # npm uses the archive directly
+}
+
+src_install() {
+	npm \
+		--offline \
+		--verbose \
+		--progress false \
+		--foreground-scripts \
+		--global \
+		--prefix "${ED}"/usr \
+		--cache "${T}"/npm-cache \
+		install "${DISTDIR}"/${P}.tgz || die "npm install failed"
+
+	cd "${ED}"/usr/$(get_libdir)/node_modules/${PN} || die "cd failed"
+	einstalldocs
+}


             reply	other threads:[~2023-03-30 19:49 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-30 19:49 Ronny Gutbrod [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-10 18:39 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/typescript-language-server/ Ronny Gutbrod
2024-02-10 18:39 Ronny Gutbrod
2023-11-15 22:01 Ronny Gutbrod
2023-11-15 22:01 Ronny Gutbrod
2023-04-27 16:59 Ronny Gutbrod
2023-04-27 16:59 Ronny Gutbrod
2023-03-30 19:49 Ronny Gutbrod
2023-02-21 15:00 Ronny Gutbrod
2023-02-21 15:00 Ronny Gutbrod
2023-02-18 14:02 Ronny Gutbrod
2023-02-18 14:02 Ronny Gutbrod
2023-02-08  9:42 Ronny Gutbrod
2023-02-08  9:42 Ronny Gutbrod
2023-01-29 10:44 Ronny Gutbrod
2023-01-27 23:58 Ronny Gutbrod
2023-01-27 23:58 Ronny Gutbrod
2023-01-17  1:02 Ronny Gutbrod
2023-01-17  1:02 Ronny Gutbrod
2023-01-11 23:16 Ronny Gutbrod
2023-01-11 23:16 Ronny Gutbrod
2022-12-29 11:01 Ronny Gutbrod
2022-12-29 11:01 Ronny Gutbrod
2022-12-16  8:38 Ronny Gutbrod
2022-12-16  8:38 Ronny Gutbrod
2022-10-20 12:51 Ronny Gutbrod
2022-10-20 12:51 Ronny Gutbrod
2022-10-08 14:28 Ronny Gutbrod
2022-10-08 14:28 Ronny Gutbrod
2022-10-08 14:28 Ronny Gutbrod
2022-09-29 17:30 Ronny Gutbrod
2022-09-29 17:30 Ronny Gutbrod
2022-09-12 20:57 Ronny Gutbrod
2022-09-07  2:09 Ronny Gutbrod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680194919.697b32abbec3fbd30b1ebb6aa5a077d6c9a45d6d.tastytea@gentoo \
    --to=gentoo@tastytea.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox